Bug 464493 - sat-sync: --no-rpms is no longer useful for testing purposes
sat-sync: --no-rpms is no longer useful for testing purposes
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Red Hat Satellite QA List
: Triaged
Depends On:
Blocks: 462714 479461
  Show dependency treegraph
 
Reported: 2008-09-29 08:45 EDT by James Bowes
Modified: 2013-01-10 04:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-17 12:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-09-29 08:45:45 EDT
After bz 436550, the --no-rpms option now does the same as --no-packages. Before, it would simply skip downloading the rpm files, but still import package data into the db. This was hugely useful for testing, especially on systems with very little disk space. 

Is it possible to get back the old behaviour, or something close to it?
Comment 2 Miroslav Suchý 2012-03-17 12:44:07 EDT
On sw17:

satellite-sync --no-errata --iss=http://some-sat.redhat.com --ca-cert=/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT -c rhel-x86_64-server-5 --no-rpms --no-kickstarts --no-errata    --no-kickstarts

result in downloading package metadata, but actual rpm files are not downloaded. So --no-rpms and --no-packages still differ.

Note You need to log in before you can comment on or make changes to this bug.